%define upstream_name    MooX-Options
%define upstream_version 4.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Role that is apply to your object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.430.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.99.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(MooX::Locale::Passthrough)
BuildRequires: perl(Path::Class) >= 0.320.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Text::LineFold)
BuildRequires: perl(strictures) >= 2.0.0
BuildArch:  noarch

%description
Use Getopt::Long::Descritive to provide command line option for your
Mo/Moo/Moose Object.

This module will add "option" which act as "has" but support additional
feature for getopt.

You will have "new_with_options" to instanciate new object for command
line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.103.0-4.mga8
+ Revision: 1505309
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.103.0-3.mga7
+ Revision: 1285016
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 4.103.0-2.mga7
+ Revision: 1165713
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 4.103.0-1.mga7
+ Revision: 1159211
- new release

* Sun Jun 19 2016 pterjan <pterjan> 4.22.0-2.mga6
+ Revision: 1030721
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.22.0-1.mga6
+ Revision: 1002160
- update to 4.022

* Thu Feb 18 2016 umeabot <umeabot> 4.18.0-2.mga6
+ Revision: 967372
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 4.18.0-1.mga6
+ Revision: 848767
- update to 4.018

* Thu Dec 11 2014 sander85 <sander85> 4.10.0-4.mga5
+ Revision: 802725
- Fix BRs
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 4.10.0-1.mga5
+ Revision: 672858
- update to 4.010

* Wed Jul 09 2014 sander85 <sander85> 4.9.0-1.mga5
+ Revision: 650883
- update to 4.009

* Mon Feb 24 2014 jquelin <jquelin> 4.8.0-1.mga5
+ Revision: 596327
- update to 4.008

* Tue Oct 22 2013 umeabot <umeabot> 3.880.0-2.mga4
+ Revision: 542212
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 3.880.0-1.mga4
+ Revision: 497104
- update to 3.88

* Sat Sep 28 2013 sander85 <sander85> 3.860.0-1.mga4
+ Revision: 488413
- update to 3.86

* Thu Sep 26 2013 sander85 <sander85> 3.850.0-1.mga4
+ Revision: 487155
- update to 3.85

* Fri Sep 13 2013 sander85 <sander85> 3.840.0-1.mga4
+ Revision: 478460
- update to 3.84

* Mon Jun 10 2013 jquelin <jquelin> 3.830.0-1.mga4
+ Revision: 441671
- update to 3.83

* Thu Mar 28 2013 jquelin <jquelin> 3.770.0-1.mga3
+ Revision: 406025
- add missing buildrequires & %%description
- imported package perl-MooX-Options


* Thu Mar 28 2013 cpan2dist 3.77-1mga
- initial mageia release, generated with cpan2dist
